#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/base/colours.rb'
# =========================================================================== #
module FtpParadise

module Base

  require 'ftp_paradise/colours/colours.rb'

  # ========================================================================= #
  # === swarn
  # ========================================================================= #
  def swarn(i = '')
    return ::FtpParadise.swarn(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === sfile
  # ========================================================================= #
  def sfile(i = '')
    return ::FtpParadise.sfile(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === sfancy
  # ========================================================================= #
  def sfancy(i = '')
    return ::FtpParadise.sfancy(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === sdir
  # ========================================================================= #
  def sdir(i = '')
    return ::FtpParadise.sdir(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === simp
  # ========================================================================= #
  def simp(i = '')
    return ::FtpParadise.simp(i) if use_colours?
    i
  end; alias simportant simp # === simportant

  # ========================================================================= #
  # === orange
  # ========================================================================= #
  def orange(i = '')
    return ::Colours.orange(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === sandybrown
  # ========================================================================= #
  def sandybrown(i = '')
    return ::Colours.sandybrown(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === royalblue
  # ========================================================================= #
  def royalblue(i = '')
    FtpParadise.royalblue(i)
  end

  # ========================================================================= #
  # === slateblue
  # ========================================================================= #
  def slateblue(i = '')
    FtpParadise.slateblue(i)
  end

end; end