#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/connection/set_array_available_hosts.rb'
# =========================================================================== #
module FtpParadise

class Connection

  # ========================================================================= #
  # === set_array_available_hosts
  #
  # Use this method if you wish to define the available hosts. This is
  # useful whenever you already have some pre-defined hosts that you wish
  # to use.
  # ========================================================================= #
  def set_array_available_hosts(i = nil)
    if Object.const_defined? :RoebeFtpConstants
      i = ARRAY_AVAILABLE_HOSTS
    else
      i = []
    end
    @internal_hash[:array_available_hosts] = i
  end

end; end