#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === FtpParadise::GUI::Gtk::FtpParadise
# =========================================================================== #
# require 'ftp_paradise/gui/gtk2/ftp_paradise.rb'
# FtpParadise::GUI::Gtk::FtpParadise.run
# =========================================================================== #
require 'gtk_paradise/require_gtk2'

module FtpParadise

module GUI

module Gtk

class FtpParadise < ::Gtk::Box

  require 'ftp_paradise/gui/shared_code/ftp_paradise/ftp_paradise_module.rb'
  include ::FtpParadise::GUI::Gtk::FtpParadiseModule

  # ========================================================================= #
  # === FtpParadise::GUI::Gtk::FtpParadise.run
  # ========================================================================= #
  def self.run
    ::FtpParadise::GUI::Gtk::FtpParadiseModule.run
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  FtpParadise::GUI::Gtk::FtpParadise.run
end