#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/requires/require_the_toplevel_methods.rb'
# =========================================================================== #
module FtpParadise

  require 'ftp_paradise/project/project.rb'
  # ========================================================================= #
  # === FtpParadise.require_the_toplevel_methods
  # ========================================================================= #
  def self.require_the_toplevel_methods
    Dir["#{PROJECT_BASE_DIRECTORY}toplevel_methods/*.rb"].each {|this_file|
      require this_file
    }
  end

  # ========================================================================= #
  # And require these files at once:
  # ========================================================================= #
  require_the_toplevel_methods

end