#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/toplevel_methods/opn.rb'
# =========================================================================== #
module FtpParadise

  begin
    require 'opn'
  rescue LoadError; end

  require 'ftp_paradise/constants/namespace.rb'

  # ========================================================================= #
  # === FtpParadise.opn
  # ========================================================================= #
  def self.opn(
      i = { namespace: NAMESPACE }
    )
    Opn.opn(i) if Object.const_defined? :Opn
  end; self.instance_eval { alias opnn opn } # === FtpParadise.opnn

end