#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/toplevel_methods/time.rb'
# =========================================================================== #
module FtpParadise

  # ========================================================================= #
  # === FtpParadise.return_date
  #
  # This method will return a String such as "03.12.2014".
  # ========================================================================= #
  def self.return_date
    Time.now.strftime('%d.%m.%Y')
  end

  # ========================================================================= #
  # === return_date
  # ========================================================================= #
  def return_date
    FtpParadise.return_date
  end

  # ========================================================================= #
  # === FtpParadise.return_time
  #
  # This method will return a String such as "15:55:30".
  # ========================================================================= #
  def self.return_time
    Time.now.strftime('%H:%M:%S')
  end

  # ========================================================================= #
  # === return_time
  # ========================================================================= #
  def return_time
    FtpParadise.return_time
  end

end

if __FILE__ == $PROGRAM_NAME
  puts FtpParadise.return_time
end