#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/connection/constants.rb'
# =========================================================================== #
module FtpParadise

class Connection

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === BE_VERBOSE
  # ========================================================================= #
  BE_VERBOSE = true

  # ========================================================================= #
  # === DEFAULT_TRANSFER_MODE
  # ========================================================================= #
  DEFAULT_TRANSFER_MODE = :ascii # Which transfer mode to use by default.

  # ========================================================================= #
  # === DEFAULT_PORT
  # ========================================================================= #
  DEFAULT_PORT = 21

  # ========================================================================= #
  # === RUN_ALREADY
  # ========================================================================= #
  RUN_ALREADY = true

  # ========================================================================= #
  # === DEFAULT_USER_NAME
  #
  # In the past this was set to a String (the user name); but since as
  # of October 2018, it will default to nil, so that we really initialize
  # the whole project to a nil-state (as the default). This thus allows
  # us to determine whether this has been changed, aka initialized.
  # ========================================================================= # 
  DEFAULT_USER_NAME = nil

end; end