#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/connection/sync_ftp_object_onto_the_main_namespace.rb'
# =========================================================================== #
module FtpParadise

class Connection

  require 'ftp_paradise/connection/ftp_object.rb'
  require 'ftp_paradise/toplevel_methods/ftp_object.rb'

  # ========================================================================= #
  # === sync_ftp_object_onto_the_main_namespace
  #
  # Invoke this method only after having made sure that ftp_object?
  # returns a non-nil object.
  # ========================================================================= #
  def sync_ftp_object_onto_the_main_namespace
    ::FtpParadise.ftp_object = self
  end

end; end