#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen-string-literal: true
# =========================================================================== #
# require 'ftp_paradise/constants/misc.rb'
# =========================================================================== #
module FtpParadise

  require 'ftp_paradise/project/project.rb'

  # ========================================================================= #
  # === SHALL_WE_DEBUG
  # ========================================================================= #
  SHALL_WE_DEBUG = false

  # ========================================================================= #
  # === ARRAY_HELP_OPTIONS
  #
  # This Array is only required in the interactive variant though.
  # ========================================================================= #
  ARRAY_HELP_OPTIONS = %w(
    HELP --help help hel he h hlep
  ) # ,'?'

  # ========================================================================= #
  # === ARRAY_BINARY_FILES
  #
  # Just note down the extension names.
  # ========================================================================= #
  ARRAY_BINARY_FILES = %w(
    pdf
    docx
    odt
    doc
  )

  # ========================================================================= #
  # === ARRAY_VALID_OPTIONS_FOR_EXITING_THE_SHELL
  # ========================================================================= #
  ARRAY_VALID_OPTIONS_FOR_EXITING_THE_SHELL = %w(
    q
    quit
    exit
    break
  )

  # ========================================================================= #
  # === FtpParadise::FILE_AUTOMATICALLY_CONNECT_ON_STARTUP_OF_THE_INTERACTIVE_FTP_SHELL
  # ========================================================================= #
  FILE_AUTOMATICALLY_CONNECT_ON_STARTUP_OF_THE_INTERACTIVE_FTP_SHELL =
    "#{PROJECT_YAML_DIRECTORY}automatically_connect_on_startup_of_the_interactive_ftp_shell.yml"

end

if __FILE__ == $PROGRAM_NAME
  puts FtpParadise::FILE_AUTOMATICALLY_CONNECT_ON_STARTUP_OF_THE_INTERACTIVE_FTP_SHELL
end