#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/constants/roebe.rb'
# FILE_ROEBE_FTP
# HOME_DIRECTOY_OF_USER_X
# =========================================================================== #
module FtpParadise

  # =========================================================================== #
  # === HOME_DIRECTORY_OF_USER_X
  #
  # This is also only useful on my home setup.
  # =========================================================================== #
  HOME_DIRECTORY_OF_USER_X = '/home/x/'

  # =========================================================================== #
  # === FILE_ROEBE_FTP
  #
  # In theory you could change this if you use a similar .yml file.
  #
  # This will, on my home directory, expand to:
  #
  #   /home/x/DATA/PC/OS/LINUX/FTP/YAML/roebe_ftp.yml
  #
  # =========================================================================== #
  FILE_ROEBE_FTP =
    "#{HOME_DIRECTORY_OF_USER_X}DATA/PC/OS/LINUX/FTP/YAML/roebe_ftp.yml"

end