#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/interactive_ftp/initialize.rb'
# =========================================================================== #
module FtpParadise

class InteractiveFtp

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      optional_commandline_arguments = nil,
      run_already                    = true
    )
    register_sigint
    reset
    set_commandline_arguments(
      optional_commandline_arguments
    )
    set_run_mode(:standalone) # Purposely defined before run(). This way, we can change it.
    run if run_already
  end

end; end