#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ftp_paradise/interactive_ftp/run.rb'
# =========================================================================== #
module FtpParadise

class InteractiveFtp # === FtpParadise::InteractiveFtp

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    set_passive :be_verbose
    pass_commandline_arguments_into_the_menu # <- Must come before startup_actions().
    startup_actions
    do_login # Next, login.
    enter_main_loop
  end

end; end