#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# http://localhost/DATA/PROGRAMMING_LANGUAGES/RUBY/src/ftp_paradise/lib/ftp_paradise/www/web_interface.cgi
# =========================================================================== #
require 'web_object/autoinclude'
require 'ftp_paradise'

english {
title 'Ftp Paradise Web Interface'

doc {
  h2 sg(:ausrufungszeichen2,'marr8px')+'Welcome to Web-based FTP','ud'
  p {
    e 'You will be able to connect to a remote FTP
    site with this cgi script.'
  }
  FTP_LIBRARY = FtpParadise::Connection.new(:dont_run)
  div('pad1em wid50','','border: 1px inset crimson;') {
    form('self','post','form_name') {
      ee 'Connect to:'
      input_field      
      ee '<select size="1" name="foobar">'
      ee '<option value="aa">Choose a Host:</option>'
      FTP_LIBRARY.array_available_hosts.each {|entry|
        ee '<option value="aa">'+entry+'</option>'  
      }
      cselect
      br
      submit
    }
  }
}}